<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="CompilerConfiguration">
    <annotationProcessing>
      <profile name="Maven default annotation processors profile" enabled="true">
        <sourceOutputDir name="target/generated-sources/annotations" />
        <sourceTestOutputDir name="target/generated-test-sources/test-annotations" />
        <outputRelativeToContentRoot value="true" />
      </profile>
      <profile name="Annotation profile for JEECG BOOT 3.4.3" enabled="true">
        <sourceOutputDir name="target/generated-sources/annotations" />
        <sourceTestOutputDir name="target/generated-test-sources/test-annotations" />
        <outputRelativeToContentRoot value="true" />
        <processorPath useClasspath="false">
          <entry name="$MAVEN_REPOSITORY$/org/mapstruct/mapstruct-processor/1.5.5.Final/mapstruct-processor-1.5.5.Final.jar" />
          <entry name="$MAVEN_REPOSITORY$/org/mapstruct/mapstruct/1.5.5.Final/mapstruct-1.5.5.Final.jar" />
          <entry name="$MAVEN_REPOSITORY$/org/projectlombok/lombok/1.18.22/lombok-1.18.22.jar" />
          <entry name="$MAVEN_REPOSITORY$/org/projectlombok/lombok-mapstruct-binding/0.2.0/lombok-mapstruct-binding-0.2.0.jar" />
        </processorPath>
        <module name="module-ACTIVITI" />
        <module name="jeecg-system-cloud-api" />
        <module name="module-iTDM" />
        <module name="jeecg-boot-base-core" />
        <module name="jeecg-system-biz" />
        <module name="jeecg-system-start" />
        <module name="jeecg-system-local-api" />
      </profile>
    </annotationProcessing>
    <bytecodeTargetLevel>
      <module name="jeecg-boot-base-core" target="1.8" />
      <module name="jeecg-boot-parent" target="1.8" />
      <module name="jeecg-module-system" target="1.8" />
      <module name="jeecg-system-api" target="1.8" />
      <module name="jeecg-system-biz" target="1.8" />
      <module name="jeecg-system-cloud-api" target="1.8" />
      <module name="jeecg-system-local-api" target="1.8" />
      <module name="jeecg-system-start" target="1.8" />
      <module name="module-ACTIVITI" target="1.8" />
      <module name="module-iTDM" target="1.8" />
    </bytecodeTargetLevel>
  </component>
  <component name="JavacSettings">
    <option name="ADDITIONAL_OPTIONS_OVERRIDE">
      <module name="jeecg-boot-base-core" options="-parameters" />
      <module name="jeecg-boot-parent" options="" />
      <module name="jeecg-module-system" options="" />
      <module name="jeecg-system-api" options="" />
      <module name="jeecg-system-biz" options="-parameters" />
      <module name="jeecg-system-cloud-api" options="-parameters" />
      <module name="jeecg-system-local-api" options="-parameters" />
      <module name="jeecg-system-start" options="-parameters" />
      <module name="module-ACTIVITI" options="-parameters" />
      <module name="module-iTDM" options="-parameters" />
    </option>
  </component>
</project>
